# Copyright (c) 2015-2017 Obeo, Inria
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
# 	
# Contributors:
# - William Piers <william.piers@obeo.fr>
# - Philippe Merle <philippe.merle@inria.fr>
# - Faiez Zalila <faiez.zalila@inria.fr>

pluginName = Workflow Edit Support
providerName = www.example.org

_UI_CreateChild_text = {0}
_UI_CreateChild_text2 = {1} {0}
_UI_CreateChild_text3 = {1}
_UI_CreateChild_tooltip = Create New {0} Under {1} Feature
_UI_CreateChild_description = Create a new child of type {0} for the {1} feature of the selected {2}.
_UI_CreateSibling_description = Create a new sibling of type {0} for the selected {2}, under the {1} feature of their parent.

_UI_PropertyDescriptor_description = The {0} of the {1}

_UI_Task_type = Task
_UI_Executionlink_type = Executionlink
_UI_Datalink_type = Datalink
_UI_Controlflowlink_type = Controlflowlink
_UI_Taskdependency_type = Taskdependency
_UI_Storagecanal_type = Storagecanal
_UI_Networkcanal_type = Networkcanal
_UI_Remotedatacanal_type = Remotedatacanal
_UI_Profile_type = Profile
_UI_Timer_type = Timer
_UI_Localcanal_type = Localcanal
_UI_Unknown_type = Object

_UI_Unknown_datatype= Value

_UI_Task_workflowTaskState_feature = Workflow Task State
_UI_Task_workflowTaskStateMessage_feature = Workflow Task State Message
_UI_Datalink_taskDatalinkSourceFile_feature = Task Datalink Source File
_UI_Datalink_taskDatalinkTargetFile_feature = Task Datalink Target File
_UI_Storagecanal_taskDatalinkStorage_feature = Task Datalink Storage
_UI_Networkcanal_taskDatalinkNetwork_feature = Task Datalink Network
_UI_Remotedatacanal_taskDatalinkSourceResource_feature = Task Datalink Source Resource
_UI_Remotedatacanal_taskDatalinkTargetResource_feature = Task Datalink Target Resource
_UI_Profile_occiProfileRuntime_feature = Occi Profile Runtime
_UI_Profile_occiProfileDeploymenttime_feature = Occi Profile Deploymenttime
_UI_Timer_occiTimerDateStart_feature = Occi Timer Date Start
_UI_Timer_occiTimerDateEnd_feature = Occi Timer Date End
_UI_Timer_occiTimeTime_feature = Occi Time Time
_UI_Unknown_feature = Unspecified

_UI_Status_scheduled_literal = scheduled
_UI_Status_active_literal = active
_UI_Status_inactive_literal = inactive
_UI_Status_error_literal = error
_UI_Status_unscheduled_literal = unscheduled
_UI_Taskdependency_taskDependencyIsloose_feature = Task Dependency Isloose
_UI_Status_finished_literal = finished
_UI_Platformdependency_type = Platformdependency
_UI_Datalink_taskDatalinkStatus_feature = Task Datalink Status
_UI_Datalink_taskDatalinkState_feature = Task Datalink State
_UI_Datalink_taskDatalinkStateMessage_feature = Task Datalink State Message
_UI_Decision_type = Decision
_UI_Taskobservation_type = Taskobservation
_UI_Controlflowguard_type = Controlflowguard
_UI_Decision_workflowDecisionInput_feature = Workflow Decision Input
_UI_Taskobservation_taskObservationFile_feature = Task Observation File
_UI_Taskobservation_taskObservation_feature = Task Observation
_UI_Controlflowguard_controlflowGuard_feature = Controlflow Guard
_UI_Status_skipped_literal = skipped
_UI_Loop_type = Loop
_UI_Loopiteration_type = Loopiteration
_UI_Foreach_type = Foreach
_UI_For_type = For
_UI_While_type = While
_UI_Loopiteration_loopIterationVar_feature = Loop Iteration Var
_UI_Foreach_loopIterationItems_feature = Loop Iteration Items
_UI_For_loopIterationCounterStart_feature = Loop Iteration Counter Start
_UI_For_loopIterationCounterMax_feature = Loop Iteration Counter Max
_UI_For_loopIterationCounterIsIncrement_feature = Loop Iteration Counter Is Increment
_UI_Decision_workflowDecisionExpression_feature = Workflow Decision Expression
_UI_Decision_workflowDecisionResult_feature = Workflow Decision Result
_UI_Loop_loopIterationCount_feature = Loop Iteration Count
_UI_Foreach_loopItemDelimiter_feature = Loop Item Delimiter
_UI_Loopiteration_loopIterationVarValue_feature = Loop Iteration Var Value
_UI_Loopiteration_loopIterationVarName_feature = Loop Iteration Var Name
_UI_Foreach_loopItemName_feature = Loop Item Name
_UI_Nesteddependency_type = Nesteddependency
_UI_Parallelloop_type = Parallelloop
_UI_Parallelloop_parallelReplicateNumber_feature = Parallel Replicate Number
_UI_Replica_type = Replica
_UI_Replica_replicaSourceId_feature = Replica Source Id
_UI_Shared_type = Shared
_UI_Replica_replicaGroup_feature = Replica Group
